%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname json_pure
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: JSON Implementation for Ruby
Name: rubygem-%{gemname}
Version: 1.5.1
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2 or Ruby
URL: http://flori.github.com/json
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: rubygems
Requires: ruby(abi) = %{rubyabi} 
BuildRequires: ruby(abi) = %{rubyabi} 
BuildRequires: ruby(rubygems) 
BuildRequires: rubygem(rake)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%description
This is a JSON implementation in pure Ruby.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install -V --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x
for file in `find %{buildroot}/%{geminstdir} -type f -perm /a+x`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 644 $file
done
for file in `find %{buildroot}/%{geminstdir} -type f ! -perm /a+x -name "*.rb"`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 755 $file
done
find %{buildroot}/%{geminstdir} -type f -perm /g+wx -exec chmod -v g-w {} \;
mv %{buildroot}%{gemdir}/bin/edit_json.rb %{buildroot}/%{_bindir}/edit_json_pure
mv %{buildroot}%{gemdir}/bin/prettify_json.rb %{buildroot}/%{_bindir}/prettify_json_pure
rm -rf %{buildroot}/%{geminstdir}/ext
rm -rf %{buildroot}/%{geminstdir}/java
rm -f %{buildroot}/%{geminstdir}/json-java.gemspec
# Fix for Fedora 14:
rm -rf %{buildroot}/%{geminstdir}/tests/test_json_rails.rb


%check
pushd %{buildroot}%{geminstdir}
rake test_pure --trace
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{_bindir}/edit_json_pure
%{_bindir}/prettify_json_pure
%{geminstdir}/lib
%{geminstdir}/bin
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%doc %{geminstdir}/README-json-jruby.markdown
%doc %{geminstdir}/README
%doc %{geminstdir}/GPL
%doc %{geminstdir}/COPYING-json-jruby
%doc %{geminstdir}/COPYING
%doc %{geminstdir}/CHANGES
%doc %{geminstdir}/VERSION
%doc %{geminstdir}/TODO


%files doc
%defattr(-, root, root, -)
%{geminstdir}/tests
%{geminstdir}/data
%{geminstdir}/tools
%{geminstdir}/benchmarks
%{geminstdir}/Rakefile
%{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/install.rb

%changelog
* Fri Jun 3 2011 Michal Fojtik <mfojtik@redhat.com> - 1.5.1-1
- Version bump
- Removed gtk dependency to keep this lightweight

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 04 2010 Michal Fojtik <mfojtik@redhat.com> - 1.4.6-3
- Removed tests which was failing under F14

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 1.4.6-2
- Fixed failing test
- Removed unusefull rm call

* Mon Aug 02 2010 Michal Fojtik <mfojtik@redhat.com> - 1.4.6-1
- Version bump
- Removed BuildRoot
- Moved 'rm' from check to install
- Moved files from -doc to main package and install.rb to -doc

* Tue Jul 20 2010 Michal Fojtik <mfojtik@redhat.com> - 1.4.3-1
- Initial package
